Page MenuHomePhabricator

Unexpected general module 'ext.translate.messagetable' in styles queue.
Closed, ResolvedPublic

Description

Observed on Special:LanguageStats debug output.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 17 2016, 8:58 AM
Danny_B renamed this task from [resourceloader] Unexpected general module 'ext.translate.messagetable' in styles queue. to Unexpected general module 'ext.translate.messagetable' in styles queue..May 17 2016, 9:51 AM

This warning doesn't exist in MediaWiki yet. Presumably you applied https://gerrit.wikimedia.org/r/#/c/288026/ (unmerged, WIP) locally on translatewiki.net?

That's cool :). The warning seems genuine though. The module has both scripts and styles registered (mwext-Translate.git:/Resources.php#L153), and loaded via addModuleStyles (mwext-Translate.git:/specials/SpecialLanguageStats.php#L121) - which will no longer be allowed in the future.

See also T92459, and back story at https://lists.wikimedia.org/pipermail/wikitech-l/2016-May/085479.html.

Yep I applied it locally on my dev instance to have early warnings :)

Nikerabbit triaged this task as Medium priority.May 20 2016, 5:18 AM

Change 289845 had a related patch set uploaded (by Nikerabbit):
Remove unused ext.translate.messagetable from Special:LanguageStats

https://gerrit.wikimedia.org/r/289845

Nikerabbit lowered the priority of this task from Medium to Low.May 20 2016, 11:34 AM
Nikerabbit moved this task from Backlog to In Review on the Language-Q4-2016-Sprint 3 board.

Change 289845 merged by jenkins-bot:
Remove unused ext.translate.messagetable from Special:LanguageStats

https://gerrit.wikimedia.org/r/289845

Arrbee closed this task as Resolved.May 31 2016, 6:54 AM